<?php

/**
 * @file
 * Views integration file for Views Now module.
 */


/**
 * Implementation of hook_views_data().
 */
function views_now_views_data() {
  $data = array();
  $data['global']['table']['group'] = t('Global');
  $data['global']['table']['join'] = array(
    '#global' => array(),
  );
  $data['global']['current'] = array(
    'title' => t('Current timestamp'),
    'help' => t('Display current timestamp.'),
    'field' => array(
      'handler' => 'views_views_now_handler_field_current',
      'notafield' => TRUE,
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function views_now_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'views_now') . '/includes',
    ),
    'handlers' => array(
      'views_views_now_handler_field_current' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}
